import request from "@/utils/request";

//新增实验室竞赛
export function addCompetition(data) {
  return request({
    url: "/schoolLabCompetition/add",
    method: "post",
    data,
  });
}
// 修改实验室竞赛
export function updateCompetition(data) {
  return request({
    url: "/schoolLabCompetition/edit",
    method: "put",
    data,
  });
}
// 查看实验室竞赛列表
export function getCompetition(query) {
  return request({
    url: "/schoolLabCompetition/list",
    method: "get",
    params: query,
  });
}
// 查看详情
export function getCompetitionxq(id) {
  return request({
    url: "/schoolLabCompetition/" + id,
    method: "get",
  });
}

// 删除实验室
export function deleteCompetition(id) {
  return request({
    url: "/schoolLabCompetition/" + id,
    method: "post",
  });
}
//老师下拉框
export function getTeacher() {
  return request({
    url: "/schoolLabCompetition/getTeacher",
    method: "get",
  });
}
